Package owl.collections

## Class ValuationSet

- java.lang.Object
- - owl.collections.ValuationSet

-     public class ValuationSet
      extends Object

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `ValuationSet​(ValuationSetFactory factory)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `BitSet` | `any()` |
    `ValuationSet` | `complement()` |
    `boolean` | `contains​(BitSet valuation)` |
    `boolean` | `contains​(ValuationSet other)` |
    `void` | `forEach​(BitSet restriction, Consumer<BitSet> action)` |
    `void` | `forEach​(Consumer<BitSet> action)` |
    `ValuationSetFactory` | `getFactory()` |
    `ValuationSet` | `intersection​(ValuationSet other)` |
    `boolean` | `intersects​(ValuationSet other)` |
    `boolean` | `isEmpty()` |
    `boolean` | `isUniverse()` |
    `jhoafparser.ast.BooleanExpression<jhoafparser.ast.AtomLabel>` | `toExpression()` |
    `String` | `toString()` |
    `ValuationSet` | `union​(ValuationSet other)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ValuationSet

          protected ValuationSet​(ValuationSetFactory factory)

  - ### Method Detail

    - #### getFactory

          public final ValuationSetFactory getFactory()

    - #### isEmpty

          public final boolean isEmpty()

    - #### isUniverse

          public final boolean isUniverse()

    - #### any

          public final BitSet any()

    - #### contains

          public final boolean contains​(BitSet valuation)

    - #### contains

          public final boolean contains​(ValuationSet other)

    - #### intersects

          public final boolean intersects​(ValuationSet other)

    - #### forEach

          public final void forEach​(Consumer<BitSet> action)

    - #### forEach

          public final void forEach​(BitSet restriction,
                                    Consumer<BitSet> action)

    - #### complement

          public final ValuationSet complement()

    - #### union

          public final ValuationSet union​(ValuationSet other)

    - #### intersection

          public final ValuationSet intersection​(ValuationSet other)

    - #### toExpression

          public final jhoafparser.ast.BooleanExpression<jhoafparser.ast.AtomLabel> toExpression()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`